@font-face {
    font-family: 'Kosko';
    src: url('../../assets/fonts/kosko/KoskoRegular-Regular.woff2') format('woff2'),
         url('../../assets/fonts/kosko/KoskoRegular-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: 'Kosko';
    src: url('../../assets/fonts/kosko/KoskoBold-Bold.woff2') format('woff2'),
         url('../../assets/fonts/kosko/KoskoBold-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

.banner-camp {
    position: relative;
    overflow: hidden;
    margin-inline: auto;
    min-height: 700px;
    max-width: 1200px;
    width: 100%;
}
.banner-camp__background {
    position: absolute;
    inset: 0;
    z-index: 1;
}
.banner-camp__background img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.banner-camp__content {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.banner-camp__left {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.banner-camp__badges {
    display: flex;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 11px;
}
.banner-camp__badge {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 12px;
    font-size: 16px;
    line-height: 20px;
    font-weight: 500;
    font-family: 'Stolzl', sans-serif;
}
.banner-camp__badge--class {
    background: #65EBBB;
    color: #000;
    transform: skewX(6deg);
}
.banner-camp--ege .banner-camp__badge--class {
    background: #FFF300;
}
.banner-camp__badge--free {
    background: #EB65BA;
    color: #FFF;
    transform: skewX(6deg);
}
.banner-camp--ege .banner-camp__badge--free {
    background: #FF5C00;
}
.banner-camp__date {
    margin-bottom: 20px;
    color: #fff;
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0%;
    font-family: 'Stolzl', sans-serif;
}
.banner-camp__title {
    font-family: 'Kosko', sans-serif;
    color: #fff;
    font-weight: 700;
    font-size: 48px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
}
.banner-camp__button {
    display: none;
    font-size: 18px;
    line-height: 22px;
    letter-spacing: 0%;
    text-align: center;
    padding: 17px 50px;
    border-radius: 5px;
    background-color: #141414;
    color: #FFF;
    z-index: 3;
}
.banner-camp__button.mobile {
    display: block;
    margin-bottom: 20px;
}
.banner-camp__right {
    position: relative;
    height: 505px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
}
.banner-camp__teacher {
    display: none;
    position: relative;
    z-index: 1;
    bottom: -180px;
    max-width: 500px;
}
.banner-camp__teacher.mobile {
    display: block;
}
.banner-camp--ege .banner-camp__teacher {
    bottom: -270px;
    width: 500px;
    left: 20px;
}
.banner-camp__teacher img {
    display: block;
    width: 100%;
    height: auto;
}
.banner-camp__card {
    position: relative;
    z-index: 3;
    margin-bottom: 12px;
    width: 100%;
    padding: 15px 24px;
    background: #fff;
}
.banner-camp__card-title {
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0%;
    text-align: center;
    color: #2891D7;
    font-family: 'Stolzl', sans-serif;
}
.banner-camp__subjects {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 6px;
    margin-top: 10px;
}
.banner-camp__subjects span {
    font-family: 'Kosko', sans-serif;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0%;
    padding: 2px 12px;
    background: #65EBBB;
    color: #000;
}
.banner-camp__subjects span:nth-child(2) {
    background: #6C04FF;
    color: #FFF;
}
.banner-camp__subjects span:nth-child(3) {
    background: #DE00FF;
    color: #FFF;
}
.banner-camp__subjects span:nth-child(4) {
    background: #FFF300;
    color: #000;
}
.banner-camp__subjects span:nth-child(5) {
    background: #1F00FF;
    color: #FFF;
}

@media (min-width: 350px) {
    .banner-camp__teacher.mobile {
        bottom: -150px;
    }
    .banner-camp--ege .banner-camp__teacher {
        bottom: -270px;
    }
}
@media (min-width: 390px) {
    .banner-camp__teacher.mobile {
        bottom: -200px;
    }
    .banner-camp--ege .banner-camp__teacher {
        bottom: -270px;
    }
}
@media (min-width: 440px) {
    .banner-camp__teacher {
        display: block;
        bottom: -160px;
    }
    .banner-camp__teacher.mobile {
        display: none;
    }
    .banner-camp--ege .banner-camp__teacher {
        width: 700px;
        min-width: 700px;
        bottom: -310px;
    }
}
@media (min-width: 992px) {
    .banner-camp__button.mobile {
        display: none;
    }
    .banner-camp__button {
        display: block;
        width: 100%;
    }
    .banner-camp {
        min-height: 430px;
        height: 430px;
    }
    .banner-camp__content {
        flex-direction: row;
    }
    .banner-camp__left {
        padding: 24px;
        min-width: 420px;
    }
    .banner-camp__badges {
        margin-top: 0;
        margin-bottom: 17px;
    }
    .banner-camp__badge {
        font-size: 20px;
        line-height: 24px;
    }
    .banner-camp__date {
        font-size: 32px;
        line-height: 36px;
        margin-bottom: 30px;
    }
    .banner-camp__title {
        font-size: 68px;
        line-height: 128%;
        margin-bottom: 43px;
    }

    .banner-camp__right {
        height: 430px;
    }
    .banner-camp__teacher {
        max-width: 510px;
        transform: rotate(-5deg);
        bottom: -30px;
        right: -130px;
    }
    .banner-camp--ege .banner-camp__teacher {
        width: 660px;
        min-width: 660px;
        bottom: -160px;
        left: 50px;
    }
    .banner-camp__card {
        padding: 14px 22px;
        transform: skewX(6deg);
        max-width: 480px;
        position: absolute;
        bottom: 0;
        right: -10px;
        margin-bottom: 0;
    }
    .banner-camp--ege .banner-camp__card {
        max-width: 580px;
        right: 106px;
    }
    .banner-camp__card-title {
        transform: skewX(-6deg);
        font-size: 24px;
        line-height: 32px;
        text-align: left;
    }
    .banner-camp__subjects {
        gap: 10px;
    }
    .banner-camp__subjects span {
        font-size: 28px;
        line-height: 22px;
        letter-spacing: 0%;
        transform: skewX(-6deg);
        padding: 10px 14px;
    }
}
@media (min-width: 1024px) {
    .banner-camp--ege .banner-camp__teacher {
        left: 50px;
    }    
    .banner-camp--ege .banner-camp__card {
        max-width: 580px;
        right: 70px;
    }
}
@media (min-width: 1060px) {
    .banner-camp--ege .banner-camp__card {
        right: 40px;
    }
}
@media (min-width: 1090px) {
    .banner-camp--ege .banner-camp__teacher {
        left: 90px;
    }
    .banner-camp--ege .banner-camp__card {
        right: 10px;
    }
}
@media (min-width: 1140px) {
    .banner-camp--ege .banner-camp__teacher {
        left: 130px;
    }    
    .banner-camp--ege .banner-camp__card {
        right: -14px;
    }
}